Bug 206046 - pup frequently stops doing it's job
pup frequently stops doing it's job
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-09-11 13:52 EDT by The Source
Modified: 2014-01-21 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version: updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-01 18:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description The Source 2006-09-11 13:52:52 EDT
Description of problem:
pup frequently hangs when trying to get update information (it does not freeze
but does nothing also). I have to kill pup and start it again to get updates

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Just try to run pup after system start (may depend on system however:
I have p3 1200 MHz
Actual results:
Frequent hangups (not freeze but sleep without doing anything)

Expected results:
get update information and show avalable updates always

Additional info:
Comment 1 Jeremy Katz 2006-09-11 15:55:21 EDT
Can you strace it to see what it's trying to do?
Comment 2 The Source 2006-09-12 10:20:55 EDT
I'll attach strace report a little later.
First tell me ehat does this mean:
bind-config - 30:9.3.2-20.FC5.i386 obsoletes caching-nameserver -

It is package detals for bind packages appeared in update immediatly after I
updated bind before that. (I have updated bibd and it is still in update list?)
I can not apply this update:
Missing Dependency: bind = 30:9.3.2-20.FC5 is needed by package bind-config
Comment 3 The Source 2006-09-15 02:21:27 EDT
Can't strace problem. When pup is launched with strace bug never happen. And pup
is not only application that stops bugging when launched with strace. I don't know  
exactly what strace do but it definetly affects application somehow.
Comment 4 The Source 2006-09-17 05:06:51 EDT
Buggy bind update has returned. Is there any way to stop this?
Comment 5 Jeremy Katz 2006-09-18 12:50:45 EDT
Luke -- can you see what's up with that update? 
Comment 6 Luke Macken 2006-09-30 01:52:25 EDT
It looks like the bind-config subpackage has been obsoleted by the
caching-nameserver for a while.  repoclosure doesn't mention any issues with it,
are you still able to reproduce this?
Comment 7 The Source 2006-09-30 04:52:55 EDT
No, buggy update vanished 2 weeks ago.

Note You need to log in before you can comment on or make changes to this bug.